aboutsummaryrefslogtreecommitdiff
path: root/network/cmst
diff options
context:
space:
mode:
authorSamuel Young <samyoung12788@gmail.com>2023-04-21 02:53:03 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-22 11:38:31 +0700
commit6109f52dd05897a808d0d78993f0fd7d971d590f (patch)
tree5fee3dd0afa2a471faccd2dda2864ae99cbb5b31 /network/cmst
parentc60f8feb174217208fcdb1e03056a72e321504de (diff)
network/cmst: Added (Qt frontend for Connman)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/cmst')
-rw-r--r--network/cmst/README9
-rw-r--r--network/cmst/cmst.SlackBuild104
-rw-r--r--network/cmst/cmst.info10
-rw-r--r--network/cmst/doinst.sh9
-rw-r--r--network/cmst/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/network/cmst/README b/network/cmst/README
new file mode 100644
index 000000000000..e42b7bcb3ade
--- /dev/null
+++ b/network/cmst/README
@@ -0,0 +1,9 @@
+cmst (Qt frontend for Connman)
+
+Graphical user interface to control the connman daemon. The connman
+daemon must be started as you normally would, this program just
+interfaces with that daemon. You can see what technologies and
+services connman has found, and for wifi services an agent is
+registered to assist in obtaining the information from you necessary
+to logon to the wifi service.
+
diff --git a/network/cmst/cmst.SlackBuild b/network/cmst/cmst.SlackBuild
new file mode 100644
index 000000000000..88b8c3976eb2
--- /dev/null
+++ b/network/cmst/cmst.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for cmst
+
+# Copyright 2023 Samuel Young, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cmst
+VERSION=${VERSION:-2023.03.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake-qt5 DISTRO=slackware
+USE_LIBPATH="/usr/lib${LIBDIRSUFFIX}" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md text/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/cmst/cmst.info b/network/cmst/cmst.info
new file mode 100644
index 000000000000..dc28e059ab31
--- /dev/null
+++ b/network/cmst/cmst.info
@@ -0,0 +1,10 @@
+PRGNAM="cmst"
+VERSION="2023.03.14"
+HOMEPAGE="https://github.com/andrew-bibb/cmst"
+DOWNLOAD="https://github.com/andrew-bibb/cmst/releases/download/cmst-2023.03.14/cmst-2023.03.14.tar.xz"
+MD5SUM="e4d0d63b23010b9a6a39dca08b973d73"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="connman"
+MAINTAINER="Samuel Young"
+EMAIL="samyoung12788@gmail.com"
diff --git a/network/cmst/doinst.sh b/network/cmst/doinst.sh
new file mode 100644
index 000000000000..65c7e2eeb9aa
--- /dev/null
+++ b/network/cmst/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/cmst/slack-desc b/network/cmst/slack-desc
new file mode 100644
index 000000000000..7a0d2ef7b0ba
--- /dev/null
+++ b/network/cmst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cmst: cmst (Qt frontend for Connman)
+cmst:
+cmst: Cmst is a Qt based frontend for the connman connection manager. This
+cmst: package also provides a systemtray icon.
+cmst:
+cmst:
+cmst:
+cmst:
+cmst:
+cmst: Homepage: https://github.com/andrew-bibb/cmst
+cmst: